%define	name	medusa
%define	version	2.1.1
%define	release	%mkrel 3
%define _disable_ld_no_undefined 1
%define _disable_ld_as_needed 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Medusa Parallel Network Login Auditor
License:	GPLv2
Group:		Security
URL:		http://www.foofus.net/jmk/medusa/medusa.html
Source0:	http://www.foofus.net/jmk/tools/%{name}-%{version}.tar.gz
BuildRequires:  openssl-devel
BuildRequires:  ssh2-devel
BuildRequires:  ncpfs-devel
BuildRequires:  subversion-devel
BuildRequires:  postgresql-devel
BuildRequires:  pcre-devel

%description
Medusa is intended to be a speedy, massively parallel, modular, login
brute-forcer. The goal is to support as many services which allow remote
authentication as possible. The author considers following items as some of the
key features of this application:
* Thread-based parallel testing. Brute-force testing can be performed against
  multiple hosts, users or passwords concurrently.
* Flexible user input. Target information (host/user/password) can be specified
  in a variety of ways. For example, each item can be either a single entry or
  a file containing multiple entries. Additionally, a combination file format
  allows the user to refine their target listing.
* Modular design. Each service module exists as an independent .mod file. This
  means that no modifications are necessary to the core application in order to
  extend the supported list of services for brute-forcing. 

%prep
%setup -q

%build
%configure2_5x --with-default-mod-path=%{_libdir}/%{name}/modules
%make


%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO doc/*.html
%{_bindir}/medusa
%{_libdir}/medusa
%{_mandir}/man1/medusa.1*





%changelog
* Fri Oct 18 2013 umeabot <umeabot> 2.1.1-3.mga4
+ Revision: 507911
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.1.1-2.mga3
+ Revision: 359924
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 16 2012 guillomovitch <guillomovitch> 2.1.1-1.mga3
+ Revision: 307133
- new version
- switch to security group

* Wed Jul 27 2011 guillomovitch <guillomovitch> 2.0-4.mga2
+ Revision: 129893
- don't forget html doc files

* Tue Jul 19 2011 guillomovitch <guillomovitch> 2.0-3.mga2
+ Revision: 126478
- imported package medusa


* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0-3mdv2011.0
+ Revision: 612847
- the mass rebuild of 2010.1 packages

* Mon Apr 19 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.0-2mdv2010.1
+ Revision: 536801
- fix plugins location on x86_64

* Mon Apr 19 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.0-1mdv2010.1
+ Revision: 536790
- import medusa


* Mon Apr 19 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.0-1mdv2010.1
- initial mdv package
